Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.resource.spi
Interface LazyAssociatableConnectionManager

public interface LazyAssociatableConnectionManager

This is a mix-in interface that may be optionally implemented by a `ConnectionManager` implementation. An implementation of this interface must support the lazy connection association optimization.

Version:
  1.0
Author:
  Ram Jeyaraman

Method Summary
`void` | `associateConnection(java.lang.Object connection, ManagedConnectionFactory mcf, ConnectionRequestInfo cxReqInfo)` This method is called by a resource adapter (that is capable of lazy connection association optimization) in order to lazily associate a connection object with a `ManagedConnection` instance.

Method Detail

### associateConnection

    public void associateConnection(java.lang.Object connection,
                                    ManagedConnectionFactory mcf,
                                    ConnectionRequestInfo cxReqInfo)
                             throws ResourceException

  This method is called by a resource adapter (that is capable of lazy connection association optimization) in order to lazily associate a connection object with a `ManagedConnection` instance.

  Parameters:
    `connection` - the connection object that is to be associated.
    `mcf` - The `ManagedConnectionFactory` instance that was originally used to create the connection object.
    `cxReqInfo` - connection request information. This information must be the same as that used to originally create the connection object.
  Throws:
    `ResourceException` - Generic exception.
    `ApplicationServerInternalException` - Application server specific exception.
    `SecurityException` - Security related error.
    `ResourceAllocationException` - Failed to allocate system resources for connection request.
    `ResourceAdapterInternalException` - Resource adapter related error condition.

Overview | Package | Class | Tree | Deprecated | Index | Help
| J2EE1.4 SDK
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature

Copyright 2003 Sun Microsystems, Inc. All rights reserved.